### Constructor

# Phosh AudioDevice new

#### Declaration [src]

    PhoshAudioDevice*
    phosh_audio_device_new (
      guint id,
      const char* icon_name,
      const char* description
    )

#### Description

No description available.

#### Parameters

`id`

  Type: `guint`

  No description available.

`icon_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PhoshAudioDevice`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.